summaryrefslogtreecommitdiff
path: root/checks/armencryptp.test
diff options
context:
space:
mode:
Diffstat (limited to 'checks/armencryptp.test')
-rwxr-xr-xchecks/armencryptp.test12
1 files changed, 12 insertions, 0 deletions
diff --git a/checks/armencryptp.test b/checks/armencryptp.test
new file mode 100755
index 0000000..d18c56b
--- /dev/null
+++ b/checks/armencryptp.test
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+. $srcdir/defs.inc || exit 3
+
+#info Checking armored encryption with a pipe
+for i in $plain_files $data_files ; do
+ $GPG --always-trust -ea --yes -r "$usrname2" < $i | tee x | $GPG -o y --yes
+ cmp $i y || error "$i: mismatch"
+ $GPG --yes < x > y
+ cmp $i y || error "$i: mismatch"
+done
+